//CMyApp.cp
//Short demonstration of how to switch menu bars in TCL at run time
//Date - April 5, 1994
//Created by Vladimir Potap'yev, Manley & Associates, Inc.
//1065 12th Avenue NW, Suite E-4
//Issaquah, WA, 98027
//fax (206) 557-9039

//short sample of how to switch menu bar at run time in your application class, CMyApp
//most likely, CMyApp will be sent a command that would indicate that menu bar needs
//to be switched.  If you use it to provide support for multiple languages at run time,
//remember to define your own methods that would allow you to update language-dependent
//interface elements visible to user.  If you use a pop-up menu, say in dialog, or in 
//window, you need to dispose of it first before switching the menu bar as this menu is
//part of the first CVBartender.  In my case, I used methods LanguageAboutToChange and
//LanguageChanged that I called on switching.  I am not going to define them here as I
//don't know what you want to do with them.  Remember that we store our CVBartender object
//in TCL global variable gBartender.  In case of multiple languages, I also use additional
//methods to take care of the language switch as shown below.
//If use switching of menu bars for something else, you will not need to concern yourself
//with language specifics.

void	CMyApp :: MakeBartender (void)

{
	//for TCL 1.1.3
	gBartender = new CVBartender;
	((CVBartender *)gBartender)->IVBartender (myMBarID);
	
	//for TCL 2.0
	gBartender = new CVBartender (myMBarID);
}


void	CMyApp :: DoCommand (long theCommand)

{
	switch (theCommand)
	{
		case cmdSwitchMBar:	
		
			object1->LanguageAboutToChange ();
			object2->LanguageAboutToChange ();
			.................................
			ClearMenuBar ();			//Toolbox routine
			ForgetObject (gBartender);	//disposes of the current bartender
			CloseCurrentLanguageFile ();	//closes open resource file
			OpenNewLanguageFile (short whichFile);	//opens specified resource file
			SetUpMenus ();				//create new bartender as above
										//and set up all the menus
			object1->LanguageChanged ();
			object2->LanguageChanged ();
			............................
			break;
			
		.........................................................
		
		default:	CApplication :: DoCommand (theCommand);
					break;
	}
}